python3-stdlib-extensions (3.13.5-1) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.5 release.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2025 13:01:15 +0200

python3-stdlib-extensions (3.13.4-1) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.4 release.
  * Update 3.12 extensions and modules to the 3.12.11 release.
  * Update 3.11 extensions and modules to the 3.11.13 release.
  * Update 3.10 extensions and modules to the 3.10.18 release.
  * Update 3.9 extensions and modules to the 3.9.23 release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2025 15:58:24 +0200

python3-stdlib-extensions (3.13.3-1) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.3 release.
  * Update 3.12 extensions and modules to the 3.12.10 release.
  * Update 3.11 extensions and modules to the 3.11.12 release.
  * Update 3.10 extensions and modules to the 3.10.17 release.
  * Update 3.9 extensions and modules to the 3.9.22 release.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 07:14:59 +0200

python3-stdlib-extensions (3.13.2-1) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.2 release.
  * Update 3.12 extensions and modules to the 3.12.9 release.
  * Update 3.11 extensions and modules to the 3.11.11 release.
  * Update 3.10 extensions and modules to the 3.10.16 release.
  * Update 3.9 extensions and modules to the 3.9.21 release.
  * Build for 3.13 only.
  * Stop building the python3-lib2to3 package.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Mar 2025 16:17:37 +0100

python3-stdlib-extensions (3.13.1-1) unstable; urgency=medium

  * Update 3.12 extensions and modules to the 3.12.8 release.
  * Update 3.13 extensions and modules to the 3.13.1 release.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Dec 2024 14:34:21 +0100

python3-stdlib-extensions (3.12.7-1) unstable; urgency=medium

  * Update 3.12 extensions and modules to the 3.12.7 release.
  * Update 3.13 extensions and modules to the 3.13.0 release.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 10:35:23 +0100

python3-stdlib-extensions (3.12.6-1) unstable; urgency=medium

  * Update 3.12 extensions and modules to the 3.12.6 release.
  * Update 3.13 extensions and modules to the 3.13.0~rc2 release.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 16:32:23 +0200

python3-stdlib-extensions (3.12.5-3) unstable; urgency=medium

  * Silence warning of non-existing python files in the package.
  * Also remove python3.11 byte-code on upgrade.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 15:19:18 +0200

python3-stdlib-extensions (3.12.5-2) unstable; urgency=medium

  * Stop building the gdbm and tk extensions, and make the python3-gdbm
    and python3-tk packages dependency packages.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 10:02:34 +0200

python3-stdlib-extensions (3.12.5-1) unstable; urgency=medium

  * Update 3.12 extensions and modules to the 3.12.5 release.
  * Update 3.13 extensions and modules to the 3.13.0~rc1 release.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Aug 2024 07:18:49 +0200

python3-stdlib-extensions (3.12.4-2) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.0~b4 release.
  * Also remove bytecode on upgrade. Closes: #1076044.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Jul 2024 12:03:51 +0200

python3-stdlib-extensions (3.12.4-1) unstable; urgency=medium

  * Update 3.12 extensions and modules to the 3.12.4 release.
  * Update 3.13 extensions and modules to the 3.13.0~b3 release.
  * Stop building the python3-distutils package.
  * Stop building for 3.11.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2024 13:37:19 +0200

python3-stdlib-extensions (3.12.3-3.1) unstable; urgency=medium

  * Revert: Build 3.12 and 3.13 extensions using the distutils from 3.11.
  * Build-Depend on python3-setuptools, to use setuptools' distutils for the
    build.
  * Add myself to uploaders.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 May 2024 12:10:07 -0400

python3-stdlib-extensions (3.12.3-3) unstable; urgency=medium

  * Build 3.12 and 3.13 extensions using the distutils from 3.11.

 -- Matthias Klose <doko@debian.org>  Sat, 18 May 2024 23:33:44 +0200

python3-stdlib-extensions (3.12.3-2) unstable; urgency=medium

  * Add python 3.13 extensions.

 -- Matthias Klose <doko@debian.org>  Sat, 18 May 2024 14:56:09 +0200

python3-stdlib-extensions (3.12.3-1) unstable; urgency=medium

  * Update 3.11 extensions and modules to 3.11.9 release.
  * Update 3.12 extensions and modules to 3.12.3 release.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Apr 2024 15:08:54 +0200

python3-stdlib-extensions (3.12.2-3) unstable; urgency=medium

  * Build-depend on libpython3.11t64-dbg, libpython3.12t64-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 04:00:22 +0100

python3-stdlib-extensions (3.12.2-2) unstable; urgency=medium

  * Relax python dependencies. Closes: #1065366.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 14:40:26 +0100

python3-stdlib-extensions (3.12.2-1) unstable; urgency=medium

  * Update 3.11 extensions and modules to 3.11.8 release.
  * Update 3.12 extensions and modules to 3.12.2 release.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 11:05:37 +0100

python3-stdlib-extensions (3.11.5-1) unstable; urgency=medium

  * Update 3.11 extensions and modules to 3.11.5 release.
  * Update 3.12 extensions and modules to 3.12.0 rc1.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Aug 2023 19:00:14 +0200

python3-stdlib-extensions (3.11.4-1) unstable; urgency=medium

  * Update 3.11 extensions and modules to 3.11.4 release.
  * Update 3.12 extensions and modules to 3.12.0 beta2.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2023 10:31:06 +0200

python3-stdlib-extensions (3.11.3-2) experimental; urgency=medium

  * Remove 3.10 byte code on upgrade. Closes: #1031909.

 -- Matthias Klose <doko@debian.org>  Tue, 02 May 2023 14:15:07 +0200

python3-stdlib-extensions (3.11.3-1) experimental; urgency=medium

  * Update 3.11 extensions and modules to 3.11.3 release (no changes).
  * Update 3.10 extensions and modules to the 3.10.11 release (no changes).
  * Add extensions for python3.12 3.12.0 alpha7.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Apr 2023 09:36:11 +0200

python3-stdlib-extensions (3.11.2-2) unstable; urgency=high

  * Relax versioned dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 12:44:24 +0100

python3-stdlib-extensions (3.11.2-1) unstable; urgency=medium

  * Update 3.11 extensions and modules to 3.11.2 release (Tkinter only).
  * Update 3.10 extensions and modules to the 3.10.10 release (Tkinter only).
  * Stop building extensions for 3.10.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 07:10:29 +0100

python3-stdlib-extensions (3.10.8-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.8 release.
  * Update 3.11 extensions and modules to 3.11.0 release.
  * Remove bytecode files for old 3.9 version. Closes: #1017445.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Oct 2022 09:24:07 +0100

python3-stdlib-extensions (3.10.7-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.7 release.
  * Update 3.11 extensions and modules to 3.11.0 rc2.
  * Update 3.9 extensions and modules to the 3.9.14 release.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Sep 2022 18:49:43 +0200

python3-stdlib-extensions (3.10.6-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.6 release.
  * Update 3.11 extensions and modules to 3.11.0 rc1.
  * Remove python3.9 from build dependencies and don't build for 3.9.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Aug 2022 13:25:31 +0200

python3-stdlib-extensions (3.10.5-2) unstable; urgency=medium

  * Update 3.11 extensions and modules to the 3.11.0 beta4. Closes: #1015082.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 12:00:07 +0200

python3-stdlib-extensions (3.10.5-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.13 release.
  * Update 3.10 extensions and modules to the 3.10.5 release.
  * Add extensions for python3.11 3.11.0 beta3.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jun 2022 13:32:17 +0200

python3-stdlib-extensions (3.9.12-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.11 release.
  * Update 3.10 extensions and modules to the 3.10.3 release.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 14:44:02 +0100

python3-stdlib-extensions (3.9.11-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Change the "include" and "platinclude" paths in the "posix_local"
    scheme to refer to the location of Python's headers, not the install
    location for modules' C headers. Closes: #1007966

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 13:20:28 +0100

python3-stdlib-extensions (3.9.11-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.11 release.
  * Update 3.10 extensions and modules to the 3.10.3 release.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Mar 2022 18:49:40 +0100

python3-stdlib-extensions (3.9.10-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * 3.10: Re-add accidentally dropped /local/ to paths in distutils unix_local
    scheme.
  * Use the same is_virtual_environment() proposed in PEP 668 across the site,
    sysconfig, and distutils modules. Stop checking for PYTHONUSERBASE or
    VIRTUAL_ENV environment variables.

  [ Matthias Klose ]
  * Update python3-lib2to3 package description. Closes: #983431.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Mar 2022 06:23:49 +0100

python3-stdlib-extensions (3.9.10-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.10 release.
  * Update 3.10 extensions and modules to the 3.10.2 release.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Jan 2022 17:23:50 +0100

python3-stdlib-extensions (3.9.9-3) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Dec 2021 14:43:46 +0100

python3-stdlib-extensions (3.9.9-2) unstable; urgency=medium

  * Fix the 3.10 build.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 14:53:22 +0100

python3-stdlib-extensions (3.9.9-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.9 release.
  * Build again the _dbm extension using libdb-dev.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 07:55:21 +0100

python3-stdlib-extensions (3.9.8-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.0 release.
  * Update 3.9  extensions and modules to the 3.9.8 release.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Nov 2021 14:40:07 +0100

python3-stdlib-extensions (3.9.7-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.9.10 release candidate 1.
  * Update 3.9  extensions and modules to the 3.9.7 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Sep 2021 17:21:26 +0200

python3-stdlib-extensions (3.10.0~b1-3) experimental; urgency=medium

  * When building 3.10 for releases newer than Debian 11 (bullseye) or
    Ubuntu 21.04 (hirsute), build the _dbm extension using gdbm, and
    include it in the python3-gdbm package.

 -- Matthias Klose <doko@debian.org>  Thu, 06 May 2021 15:07:21 +0200

python3-stdlib-extensions (3.10.0~b1-2) experimental; urgency=medium

  * Relax dependency on python3-defaults.

 -- Matthias Klose <doko@debian.org>  Tue, 04 May 2021 15:53:44 +0200

python3-stdlib-extensions (3.10.0~b1-1) experimental; urgency=medium

  * Update 3.10 extensions and modules to the 3.9.10 beta1 snapshot.
  * Update 3.9  extensions and modules to the 3.9.5 release (no changes).
  * Update 3.8  extensions and modules to the 3.8.10 release (no changes).
  * python3-distutils, python3-lib2to3: Breaks the stdlib (<< 3.10.0~b1).
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 04 May 2021 12:35:41 +0200

python3-stdlib-extensions (3.10.0~a7-1) experimental; urgency=medium

  * Update 3.10 extensions and modules to the 3.9.10 alpha7 snapshot.
  * Update 3.9  extensions and modules to the 3.9.1 release (no changes).
  * Update 3.8  extensions and modules to the 3.8.7 release (no changes).

 -- Matthias Klose <doko@debian.org>  Tue, 06 Apr 2021 15:13:31 +0200

python3-stdlib-extensions (3.9.2-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.2 release.
    IDLE changes:
    - bpo-23544: Disable Debug=>Stack Viewer when user code is running or
      Debugger is active, to prevent hang or crash.
    - bpo-43008: Make IDLE invoke :func:`sys.excepthook` in normal,
      2-process mode.
    - bpo-33065: Fix problem debugging user classes with __repr__ method.
    - bpo-32631: Finish zzdummy example extension module: make menu entries
      work; add docstrings and tests with 100% coverage.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Feb 2021 12:43:30 +0100

python3-stdlib-extensions (3.9.1-2) unstable; urgency=medium

  * Fix removing old 3.8 files. Closes: #961274.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 12:11:48 +0100

python3-stdlib-extensions (3.9.1-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.1 release.
  * Update 3.8 extensions and modules to the 3.8.7 release.
  * Stop building the extensions for 3.8. Closes: #976846.
  * python3-lib2to3, python3-distutils: Add the :any qualifier to the
    python3 dependencies. See: #964330.
  * Bump standards versions.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Dec 2020 19:55:15 +0100

python3-stdlib-extensions (3.8.6-1) unstable; urgency=medium

  * Update 3.8 extensions and modules to the 3.8.6 release.
  * Update 3.9 extensions and modules to the 3.9.0 release.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Oct 2020 23:26:38 +0200

python3-stdlib-extensions (3.8.5-1) unstable; urgency=medium

  * Update 3.8 extensions and modules to the 3.8.5 release.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Jul 2020 20:45:01 +0200

python3-stdlib-extensions (3.8.4-1) unstable; urgency=medium

  * Update 3.8 extensions and modules to the 3.8.4 release.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2020 23:23:25 +0200

python3-stdlib-extensions (3.8.4~rc1-1) unstable; urgency=medium

  * Update 3.8 extensions and modules to 3.8.4 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jul 2020 14:56:51 +0200

python3-stdlib-extensions (3.8.3-2) unstable; urgency=medium

  * Remove bytecode files for 3.7 on upgrade. Closes: #960653.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Fri, 15 May 2020 12:55:52 +0200

python3-stdlib-extensions (3.8.3-1) unstable; urgency=medium

  * Stop building extensions for 3.7.
  * Update 3.8 extensions and modules to 3.8.3 release.

 -- Matthias Klose <doko@debian.org>  Thu, 14 May 2020 13:13:25 +0200

python3-stdlib-extensions (3.8.2-1) unstable; urgency=medium

  * Update 3.7 extensions and modules to 3.7.6 release.
  * Update 3.8 extensions and modules to 3.8.2 release.
  * Remove version information from the python3-lib2to3 package description.
    Closes: #920867.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Feb 2020 12:31:06 +0100

python3-stdlib-extensions (3.8.0-1) unstable; urgency=medium

  * Package as 3.8.0 to override the package in experimental.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Oct 2019 16:35:53 +0200

python3-stdlib-extensions (3.7.5-1) unstable; urgency=medium

  * Update 3.7 extensions and modules to 3.7.5 release.
  * Update 3.8 extensions and modules to 3.8.0 release.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Oct 2019 17:31:22 +0200

python3-stdlib-extensions (3.7.5~rc1-1) unstable; urgency=medium

  * Update 3.7 extensions and modules to 3.7.5 release candidate 1.
  * Update 3.8 extensions and modules to 3.8.0 release candidate 1.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Oct 2019 07:11:03 +0200

python3-stdlib-extensions (3.7.4-3) unstable; urgency=medium

  * Don't encode the MACHDEP into the _sysconfigdata file name.
  * Tighten build dependency on python3.8.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Jul 2019 15:13:19 +0200

python3-stdlib-extensions (3.7.4-1) unstable; urgency=medium

  * Update 3.7 extensions and modules to the 3.7.4 release.
  * Silent some lintian warnings.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2019 07:59:11 +0200

python3-stdlib-extensions (3.7.4~rc2-1) unstable; urgency=medium

  * Update 3.7 extensions and modules to 3.7.4 release candidate 2.
  * Add 3.8 extensions and modules for 3.8.0~b2.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Jul 2019 12:30:36 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-gdbm`.
